import * as m3u8 from "m3u8-parser";
import PQueue from "p-queue";
import { HttpHeaders } from "./http";
export declare abstract class ChunksDownloader {
    protected playlistUrl: string;
    protected concurrency: number;
    protected segmentDirectory: string;
    protected httpHeaders?: HttpHeaders | undefined;
    protected queue: PQueue;
    protected resolve?: () => void;
    protected reject?: () => void;
    constructor(playlistUrl: string, concurrency: number, segmentDirectory: string, httpHeaders?: HttpHeaders | undefined);
    start(): Promise<void>;
    protected abstract refreshPlayList(): Promise<void>;
    protected loadPlaylist(): Promise<m3u8.Manifest>;
    protected downloadSegment(segmentUrl: string): Promise<void>;
}
